rsvg-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. To be added To be added GLib.Opaque GLib.IWrapper
- Method
  System.Boolean Close, to indicate that loading the image is complete. if the loader closed successfully, or if there was an error. This will return if the loader closed successfully.
- Method
  System.Void Frees handle.
- Constructor
  To be added
  a
  a
  To be added
- Constructor
  Returns a new rsvg handle.
  a new
  This handle can be used for dynamically loading an image. You need to feed it data using , then call when done. No more than one image can be loaded with one handle.
- Property
  Gdk.Pixbuf The pixbuf loaded by handle. a If insufficient data has been read to create the pixbuf, or an error occurred in loading, then will be returned.
- Property
  System.Double Sets the DPI for the all future outgoing pixbufs. Dots Per Inch (aka Pixels Per Inch) Common values are 72, 90, and 300 DPI. Passing a number <= 0 to dpi will reset the DPI to whatever the default value happens to be.
- Method
  Rsvg.Handle See , except that this will handle GZipped SVGs (svgz) a Use the returned handle identically to how you use a handle returned from
- Method
  System.Boolean `` `` Loads the next bytes Pointer to svg data length of the buffer in bytes a This will return if the data was loaded successful, and if an error occurred. In the latter case, the loader will be closed, and will not accept further writes.
- Property
  System.String To be added a To be added
- Property
  System.String To be added a To be added
- Method
  System.Void `` `` To be added a a To be added
- Method
  System.Void `` `` `` To be added a a a To be added